=== debian/changelog ===
dune-common (2.7.0-5ubuntu1) groovy; urgency=medium

  * Lower parallel builds on ppc64el and s390x

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 18:50:24 +0200

dune-common (2.7.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:29:39 +0200

dune-common (2.7.0-4) experimental; urgency=medium

  * Only build "quick" tests on mips64el and mipsel as Debian's
    buildd servers are too slow.

 -- Ansgar <ansgar@debian.org>  Wed, 10 Jun 2020 14:20:16 +0200

dune-common (2.7.0-3) experimental; urgency=medium

  * d/control: Add explicit dependency on libatlas-base-dev.
    CMake's `find_package(LAPACK)` adds `libf77blas.so` to the list
    of interface libraries that other DUNE module link against.

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 14:59:18 +0200

dune-common (2.7.0-2) experimental; urgency=medium

  * d/dune-debian.mk: Add `-ffloat-store` to CXXFLAGS on i386.
    See https://gitlab.dune-project.org/core/dune-common/issues/207
  * d/control: (Build-)Depends on liblapack-dev.  LAPACK is needed by
    functions in `fmatrixev.hh` which are used by new quadrature rule
    implementations in dune-geometry.

 -- Ansgar <ansgar@debian.org>  Thu, 21 May 2020 23:06:05 +0200

dune-common (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Add runtime dependency on mpi-default-{bin,dev}. DUNE should by
    default be used with MPI support enabled.
  * Use debhelper compat level 13.
  * Drop patch rename-git-whitespace-hook.patch (applied upstream).
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 20 May 2020 21:06:31 +0200
