## dune-common 2.7.1

=== bin/CMakeLists.txt ===
install(PROGRAMS
  dune-ctest
  duneproject
  dunecontrol
  dune-git-whitespace-hook
  DESTINATION ${CMAKE_INSTALL_BINDIR})
