=== lib/CMakeLists.txt ===
install(FILES dunemodules.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)
