=== cmake/modules/CMakeLists.txt ===
install(FILES
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddQuadMathFlags.cmake
  AddSuiteSparseFlags.cmake
  AddUMFPackFlags.cmake
  AddVcFlags.cmake
  CheckCXXFeatures.cmake
  CMakeBuiltinFunctionsDocumentation.cmake
  DuneCMakeCompat.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneExecuteProcess.cmake
  DuneInstance.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePathHelper.cmake
  DunePkgConfig.cmake
  DunePythonCommonMacros.cmake
  DunePythonFindPackage.cmake
  DunePythonInstallPackage.cmake
  DunePythonRequireVersion.cmake
  DunePythonTestCommand.cmake
  DunePythonVirtualenv.cmake
  DuneSphinxCMakeDoc.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindLatexMk.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindSphinx.cmake
  FindSuiteSparse.cmake
  FindTBB.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  latexmkrc.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLATEX.cmake
  UseLatexMk.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})
