=== dune/common/std/CMakeLists.txt ===
install(
  FILES
  apply.hh
  make_array.hh
  memory.hh
  optional.hh
  type_traits.hh
  utility.hh
  variant.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)
