=== dune/common/parallel/benchmark/CMakeLists.txt ===
add_executable(mpi_collective_benchmark EXCLUDE_FROM_ALL mpi_collective_benchmark.cc)
dune_target_link_libraries(mpi_collective_benchmark "dunecommon")
add_dune_mpi_flags(mpi_collective_benchmark)

configure_file(options.ini options.ini COPYONLY)
