=== dune/common/parallel/test/CMakeLists.txt ===
--- 
+++ 
@@ -44,3 +44,10 @@
               TIMEOUT 300
               CMAKE_GUARD MPI_FOUND
               LABELS quick)
+
+dune_add_test(SOURCES mpigatherscattertest.cc
+              LINK_LIBRARIES dunecommon
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD MPI_FOUND
+              LABELS quick)
