=== debian/changelog ===
dune-common (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:23:00 +0100

dune-common (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Lisa Julia Nebel <lisa_julia.nebel@tu-dresden.de>  Tue, 05 Jan 2021 17:51:34 +0100
