=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 
 include debian/dune-debian.mk
 
-ifneq (,$(filter ppc64el s390x, $(DEB_HOST_ARCH)))
-    DEB_BUILD_OPTIONS=parallel=3
-endif
-
 %:
 	dh $@ --builddirectory=build
