=== bin/CMakeLists.txt ===
install(PROGRAMS
  dune-ctest
  duneproject
  dunecontrol
  dunepackaging.py
  dune-git-whitespace-hook
  rmgenerated.py
  setup-dunepy.py
  DESTINATION ${CMAKE_INSTALL_BINDIR})
