=== cmake/CMakeLists.txt ===
add_subdirectory(modules)
add_subdirectory(scripts)
