=== python/CMakeLists.txt ===
add_subdirectory(dune)

configure_file(setup.py.in setup.py)
configure_file(pyproject.toml.in pyproject.toml)
