=== cmake/modules/CMakeLists.txt ===
add_subdirectory(FindPkgConfig)
add_subdirectory(FindPython3)

install(FILES
  AddBLASLapackFlags.cmake
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddMPIFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddQuadMathFlags.cmake
  AddTBBFlags.cmake
  AddThreadsFlags.cmake
  AddSuiteSparseFlags.cmake
  AddVcFlags.cmake
  CheckCXXFeatures.cmake
  CMakeBuiltinFunctionsDocumentation.cmake
  DuneAddPybind11Module.cmake
  DuneCMakeCompat.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneExecuteProcess.cmake
  DuneInstance.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePathHelper.cmake
  DunePkgConfig.cmake
  DunePythonCommonMacros.cmake
  DunePythonFindPackage.cmake
  DunePythonInstallPackage.cmake
  DunePythonMacros.cmake
  DunePythonTestCommand.cmake
  DunePythonVirtualenv.cmake
  DuneSphinxDoc.cmake
  DuneSphinxCMakeDoc.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindLatexMk.cmake
  FindMETIS.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindQuadMath.cmake
  FindSphinx.cmake
  FindSuiteSparse.cmake
  FindTBB.cmake
  Headercheck.cmake
  latexmkrc.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLatexMk.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})
