=== dune/common/CMakeLists.txt ===
--- 
+++ 
@@ -4,19 +4,10 @@
 add_subdirectory("test")
 
 #build the library dunecommon
-if(LAPACK_FOUND)
-  set(_additional_libs ${LAPACK_LIBRARIES})
-elseif(BLAS_FOUND)
-  set(_additional_libs ${BLAS_LIBRARIES})
-endif(LAPACK_FOUND)
-
-if(HAVE_MPROTECT)
-  set(debugallocator_src "debugallocator.cc")
-endif(HAVE_MPROTECT)
 
 dune_add_library("dunecommon"
   debugalign.cc
-  ${debugallocator_src}
+  debugallocator.cc
   exceptions.cc
   fmatrixev.cc
   ios_state.cc
@@ -25,10 +16,11 @@
   path.cc
   simd/test.cc
   stdstreams.cc
-  stdthread.cc
-  ADD_LIBS "${_additional_libs}")
+  stdthread.cc)
 
+add_dune_blas_lapack_flags(dunecommon)
 add_dune_tbb_flags(dunecommon)
+
 #install headers
 install(FILES
         alignedallocator.hh
@@ -107,6 +99,7 @@
         stringutility.hh
         to_unique_ptr.hh
         timer.hh
+        transpose.hh
         tupleutility.hh
         tuplevector.hh
         typelist.hh
