=== dune/python/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(test)
add_subdirectory(pybind11)
