=== debian/changelog ===
dune-common (2.8.0-3) unstable; urgency=medium

  * d/control: remove Breaks/Replaces entries

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:29:30 +0200

dune-common (2.8.0-2) experimental; urgency=medium

  * d/patches: Add patch to not install Python scripts

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 08 Oct 2021 12:02:33 +0200

dune-common (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Add patch to disable eigenvalue checks for "long double"
  * d/patches: Add patch to force python3 in bin/rmgenerated.py
  * Set standards to 4.5.1

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Wed, 15 Sep 2021 10:50:45 +0200

dune-common (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Adapt soname.patch to code changes.
  * d/rules: Explicitly use cmake buildsystem.
  * d/clean: Explicitly clear __pycache__ directory.

 -- Patrick Jaap  <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 09:05:19 -0400
