=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-common
 Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
  libatlas-base-dev, liblapack-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
 Rules-Requires-Root: no
@@ -18,10 +18,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
  libatlas-base-dev, liblapack-dev
-Breaks: libdune-functions-dev (<< 2.5.0~)
-Replaces: libdune-functions-dev (<< 2.5.0~)
 Recommends: python3
 Suggests: libdune-common-doc (= ${source:Version})
 Provides: ${dune:shared-library}
